:root{
    --charcolColor: #595959;
    --textColor: #E1C88E;
    --lineColor: #b3b3b349;

}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: "Tajawal", sans-serif;
    
    
}

body, html{
    width: 100%;
    height: 100%;
}


body::-webkit-scrollbar{
    display: none;
}
/* .cursor{
    height: 30px;
    width: 30px;
    background-color: #f99f3e;
    position: fixed;
    border-radius: 50%;
    z-index: 222;
    top: -50%;
    left: 50%;
    transform: translate(-50%, -50%);
    scale: 0.5;
} */

.main__container{
    overflow-y: hidden;
    
}


.header__section{
    position: relative;
    height: 100vh;
    width: 100vw;
    
    
    
}

.nav__bar{
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: absolute;
    padding-left: 5vw;
    padding-right: 5vw;
    width: 100%;
    height: 10vh;
    white-space: nowrap;
    /* backdrop-filter: blur(15px);
    z-index: 222; */
    
}

.nav__right{
    display: flex;
    align-items: center;
    gap: 1rem;
}

.logo__img{
    width: 90px;
    height: 90px;
    /* background-color: #0d7df5; */
    background-image: url(assets/sarab__logo.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    
}



.nav__right :nth-child(1){
    color: var(--charcolColor);
    font-size: 1.38rem;
    font-weight: 700;
    white-space: nowrap;
}

.nav__right :nth-child(2){
    color: var(--charcolColor);
    font-size: 1.6rem;
    white-space: nowrap;
}

.nav__left ul{
    display: flex;
    gap: 5vw;
}

.nav__left a{
    color: var(--charcolColor);
    font-weight: 700;
    font-size: 1.4rem;
    white-space: nowrap;
    transition: background-color 0.3s ease;
}

.nav__left a::after{
    content: "";
    display: block;
    width: 0;
    height: 2px;
    background-color: #595959;
    margin-top: 1vh;
    border-radius: 50px;
    transition: width 0.3s ease, background-color ease;
    
}
.nav__left a:hover::after {
    width: 100%; 
    background-color: var(--textColor);
}

.nav__left a:hover{
  color: var(--textColor);
}
.header__image__section{
    width: 100%;
    height: 70vh;
    position: absolute;
    top: 10vh;
    
}

/* stickey social media */

.stickySocialMedia{
    display: flex;
    position: relative;
    flex-direction: column;
    width: 60px;
    height: 200px;
    /* background-color: #555353; */
    position: absolute;
    top: 600px;
    margin-right: 30px;
    align-items: center;
    justify-content: space-around;
    z-index: 222;
}

.stickySocialMedia i{
    font-size: 25px;
    background-color: #e1c88e;
    padding: 5px 10px;
    color: #595959;
    border-radius: 25px;
    transition: color , background-color 0.5s ;
}

.stickySocialMedia i:hover{
    font-size: 25px;
    background-color: #595959;
    padding: 5px 10px;
    color: #e1c88e;
    border-radius: 25px;
}


/* sticky social media */


/* Slider*/
.slider-container {
    position: relative;
    display: flex;
    width: 100vw;
    max-width: 100vw;
    height: 80vh;
    max-height: 80vh;
    
  }
  
  .image-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 90%;
    object-fit: cover;
  }
  
  img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity 0.5s;
  }
  
  img.image-active {
    opacity: 1;
    transition: opacity 0.5s;
  }
  .nav-container {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 10%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* background-color: lightgray; */
  }
  
  .nav-btn {
    height: 20px;
    width: 20px;
    display: inline-block;
    margin: 10px;
    background-color: #0d7df5;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    display: none;
  }
  
  .nav-btn.btn-active {
    background-color: #f99f3e;
  }
  
  .nav-btn:hover {
    box-shadow: 0 0 5px 3px white;
  }

  /* Slider */
  
  .about__us{
    position: relative;
    height: 100vh;
    width: 100%;
    /* border: 1px solid #595959; */
    opacity: 0; 
}

.topLine{
    width: 0;
    height: 2px;
    background-color: #b3b3b349;
}



.about__us__wrapper{
    display: flex;
    align-items: center; 
    justify-content: space-between;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    padding-left: 5vw;
    padding-right: 5vw;
    
}

.about__us__right{
    width: 40vw;
    height: 100%;
    /* border: 1px solid red; */
    position: relative;
    
    
}

.about__right__back{
    height: 60vh;
    width: 20vw;
    background-color: var(--textColor);
    border-radius: 1vw;
}


.about__right__video{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
}

.about__right__video video{
    width: 35vw;
    
}

/* Dots--------------------------------------------------- */
.dotsVideo{
    width: 300px;
    height: 150px;
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    z-index: -111;
    bottom: 0;
    left: -5vw;
}
.row1{
    display: flex;
    justify-content: space-between;
}
.row2{
    display: flex;
    justify-content: space-between;
}
.row3{
    display: flex;
    justify-content: space-between;
}
.row4{
    display: flex;
    justify-content: space-between;
}
.row1 span{
    display: inline-block;
    height: 10px;
    width: 10px;
    background-color: #e1c88e;
    border-radius: 50%;
}
.row2 span{
    display: inline-block;
    height: 10px;
    width: 10px;
    background-color: #e1c88e;
    border-radius: 50%;
}
.row3 span{
    display: inline-block;
    height: 10px;
    width: 10px;
    background-color: #e1c88e;
    border-radius: 50%;
}
.row4 span{
    display: inline-block;
    height: 10px;
    width: 10px;
    background-color: #e1c88e;
    border-radius: 50%;
}

/* Dots---------------------------------------- */

.about__us__left{
    width: 40vw;
    height: 100%;
    /* border: 1px solid red; */
    position: relative;
    display: flex;
    flex-direction: column;
}

.about__us__header{
    display: flex;
    font-size: 2.2rem;
}

.fill__text__revel1{
    color: rgb(212, 212, 212);
    
}

.fill__text__revel2{
    position: absolute;
    color: var(--charcolColor);
    width: 0;
    white-space: nowrap;
    overflow: hidden;
   
}



.fill__text__revel2 span{
    color: var(--textColor);
}

.about__us__para{
    font-size: 1.5rem;
    color: var(--charcolColor);
    font-weight: 600;
    line-height: 2vw;
    margin-top: 5vh;
}

.topLine2{
    position: absolute;
    bottom: 0;
}

.products__section{
    width: 100vw;
    min-height: 100vh;
    /* background-color: #595959; */
    position: relative;
    padding-left: 5vw;
    padding-right: 5vw;
    opacity: 0;
 
}

.product__header{
    display: flex;
    align-items: center;
    justify-content: center;
}

.product__header h1{
    color: var(--textColor);
    font-size: clamp(2rem, 5cqi, 5rem);
    font-weight: 600;
    margin-top: 2rem;
}

/* Products Cards------------------------------------------------------- */

.product__row{
    display: flex;
    justify-content: space-between;
}

.product__one{
    width: 20vw;
    height: 60vh;
    /* background-color: #595959; */
    background-image: url(assets/WareHouse.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    object-fit: cover;
    border-radius: 0.5vw;
    position: relative;
    /* display: flex;
    flex-direction: column; */
    overflow: hidden;
    margin-top: 10vh;
    cursor: default;
    /* transform-style: preserve-3d;
    transform: perspective(1000px);
    transform: translateZ(20px); */
    
}

.product__text{
    position: absolute;
    backdrop-filter: blur(50px);
    /* background-color: #8a8a8a; */
    width: 100%;
    bottom: 0;
    height: 20vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 1vw 1vw;
    text-align: center;
    
}

.product__text h2{
    color: white;
    font-size: 4vh;
}

.product__text p{
    color: white;
    font-size: 2vh;
    font-weight: 500;
}
.product__image2{
    background-image: url(assets/SuperMarket\ .jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    object-fit: cover;
}
.product__image3{
    background-image: url(assets/Storage\ Solutions.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    object-fit: cover;
}

.product__image4{
    background-image: url(assets/hoteltrolley.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    object-fit: cover;
}

/* Products Cards------------------------------------------------------- */


.online__shop{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: relative;
    left: 0;
    margin-top: 10vh;
    margin-bottom: 5vh;
    margin-left: 10vw;
    
}

.online__shop__button button{
    padding: 1vw 2vw;
    font-size: 2rem;
    font-weight: 500;
    border: none;
    background-color: var(--textColor);
    border-radius: 2vw;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    color: var(--charcolColor);
}

.online__shop__button button:hover{
    background-color: var(--charcolColor);
    color: var(--textColor);
}


.msg__section{
    min-height: 100vh;
    width: 100vw;
    position: relative;
    
}

.msg__header{
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 15vh;
    font-size: clamp(1rem, 2cqi, 2rem);
    color: var(--textColor);
}

.timeline__wrapper{
    position: relative;
    width: 80vw;
    height: 40vh;
    left: -50%;
    margin-top: 10vh;
    transform: translate(50%);
    /* border: 1px solid black; */
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--charcolColor);
    

}

.timeline__line{
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: #595959;
    top: 50%;
    transform: translate(-50);
    
}

.swiper {
    width: 100%;
    height: 100%;
    
  }

  .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    /* border: 1px solid var(--charcolColor); */
    
  }
  

  .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .year__1995{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    justify-content: space-between;
    border: 1px solid var(--charcolColor);
    align-items: center;
    padding: 1rem;
    border-radius: 0.5rem;
    cursor: default;
  }

 

  .year1995__top{
    width: 60%;
    height: 40%;
    background-color: #E1C88E;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 1rem;
    position: relative;
    cursor: default;
    
  }

  .year1995__top::after{
    content: "";
    height: 4vh;
    width: 4vh;
    background-color: var(--textColor);
    display: block;
    bottom: 0;
    position: absolute;
    bottom: -12%;
    rotate: 45deg;
    
    
  }

  .year1995__bottom{
    width: 60%;
    height: 40%;
    /* background-color: #E1C88E; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 1rem;
    cursor: default;
  }

  .flip__year__bottom{
    width: 60%;
    height: 40%;
    background-color: #E1C88E;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 1rem;
    position: relative;
    margin-bottom: 1rem;
    cursor: default;
    
  }
  .flip__year__bottom::after{
    content: "";
    height: 4vh;
    width: 4vh;
    background-color: var(--textColor);
    display: block;
    bottom: 0;
    position: absolute;
    top: -12%;
    rotate: 45deg;
    z-index: -22;
    
  }


  .vision__wrapper{
    position: relative;
    width: 80vw;
    height: 50vh;
    left: -50%;
    transform: translate(50%);
    margin-top: 10vh;
    display: flex;
    justify-content: space-between;
    /* transform: rotateX(25deg);
    transform-origin: center; */
    
}

  .vision__card{
    height: 100%;
    width: 25vw;
    background: #fafafa;
    padding: 2rem;
  }

  .vision__header i{
    font-size: 2rem;
    color: var(--charcolColor);
  }

  .vision__header{
    font-size: 2rem;
    color: var(--charcolColor);
  }

  .vision__text{
    font-size: 1.3rem;
    color: var(--charcolColor);
    margin-top: 1.5rem;
  }

  .ceo__msg{
    position: relative;
    width: 80vw;
    height: 50vh;
    left: -50%;
    transform: translate(50%);
    margin-top: 10vh;
    /* background-color: #595959; */
    display: flex;
    align-items: center;
    
    
  }

  .ceo__right{
    width: 30%;
    height: 100%;
    position: absolute;
    /* border: 1px solid red; */
  }

  .ceo__left{
    width: 60%;
    height: 100%;
    position: absolute;
    /* border: 1px solid rgb(4, 0, 255); */
    left: 0;
  }

  .solid__back{
    display: block;
    position: absolute;
    width: 80%;
    height: 80%;
    background-color: var(--textColor);
  }

  .stroke__back{
    display: block;
    position: absolute;
    width: 80%;
    height: 80%;
    border: 20px solid var(--charcolColor);
    left: 0;
    bottom: 0;
    z-index: -22;
  }

  .left__header span{
    display: block;
    width: 100px;
    height: 8px;
    background-color: var(--textColor);
    margin-top: 1rem;
    margin-bottom: 1rem;
  }

  .ceo__left{
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .left__header h2{
    font-size: 2rem;
    color: var(--charcolColor);
  }

  .left__header p{
    font-size: 1.5rem;
    line-height: 3rem;
    font-weight: 500;
    color: var(--charcolColor);
  }


.our__locations{
    min-height: 100vh;
    width: 100vw;
    /* background-color: #E1C88E; */
    position: relative;
    margin-top: 20rem;
}

.ourLocationsHeader{
    text-align: center;
    font-size: 2rem;
    color: var(--charcolColor);
    margin-top: 5vh;
    
}

.location__container{
    position: absolute;
    height: 100%;
    width: 80vw;
    height: 80vh;
    /* background-color: #595959; */
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    margin-top: 10vh;
    
  
}

.location__right {
    position: absolute;
    width: 30%;
    height: 100%;
    border: 5px solid var(--textColor);
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 5px;
    overflow-y: auto; /* Use 'auto' instead of 'scroll' for better compatibility */
}


/* Webkit (Chrome, Safari, Opera) */
.location__right::-webkit-scrollbar {
    width: 5px; /* Width of the entire scrollbar */
    height: 5px; /* Height of the entire scrollbar */
}

.location__right::-webkit-scrollbar-track {
    background: transparent; /* Transparent background */
}

.location__right::-webkit-scrollbar-thumb {
    background-color: var(--scrollbar-thumb); /* Color of the scroll thumb */
    border-radius: 5px; /* Rounded corners of the thumb */
    border: 1px solid var(--scrollbar-thumb); /* Optional: border around the thumb */
}

/* Firefox */
.location__right {
    scrollbar-width: thin; /* "thin" or "auto" for Firefox */
    scrollbar-color: var(--scrollbar-thumb) transparent; /* for Firefox */
}

/* Hide scrollbar buttons in Webkit */
.location__right::-webkit-scrollbar-button {
    display: none;
}

.location__left{
    position: absolute;
    width: 60%;
    height: 100%;
    border: 5px solid var(--textColor);
    left: 0;
    border-radius: 10px;
}
.dammam__map iframe{
    position: absolute;
    height: 100%;
    width: 100%;
    padding: 2rem;
    
    
}

.location__box{
    width: 80%;
    height: 15%;
    background-color: #E1C88E;
    padding: 1rem;
}

.accordion {
    width: 80%;
    max-width: 600px;
    margin: 0 auto;
    /* border-radius: 10px; */
}
.accordion-section {
   margin-top: 2rem;
   margin-bottom: 1rem;
   
}
.accordion-header {
    padding: 15px;
    font-size: 18px;
    cursor: pointer;
    background-color: #f1f1f1;
    border-bottom: 1px solid #ccc;
    border-radius: 5px 5px 0px 0px;
    color: var(--charcolColor);
    font-size: 1.5rem;
    font-weight: 600;
    
}
.accordion-content {
    padding: 15px;
    display: none;
    background-color: #ebebeb;
    
}

.accordion-content h4{
    color: var(--charcolColor);
    display: flex;
    align-items: center;
    gap: 2rem;
}
.accordion-content.show {
    display: block;
    
}

.section__footer{
    height: 40vh;
    width: 100%;
    position: relative;
    /* background-color: var(--textColor); */
    bottom: 0;
}

.footer__wrapper{
    height: 30vh;
    width: 100vw;
    position: absolute;
    background-color: var(--textColor);
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 10vw;
    padding-right: 10vw;
}

.foo__contact{
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact__header{
    display: flex;
    flex-direction: column;
}

.contact__header h3{
    display: flex;
    align-items: center;
    color: var(--charcolColor);
    gap: 1rem;
}

.contact__header h1{
    color: var(--charcolColor);
    margin-bottom: 0.5rem;
}

.social__header{
    display: flex;
    flex-direction: column;
}

.social__header h3{
    display: flex;
    align-items: center;
    color: var(--charcolColor);
    gap: 1rem;
}

.social__header h1{
    color: var(--charcolColor);
    margin-bottom: 0.5rem;
}

.foo__head__line{
    height: 0.2rem;
    width: 10rem;
    display: block;
    background-color: var(--charcolColor);
    margin-bottom: 0.5rem;
}

 
.foo__image span{
    height: 8rem;
    width: 16rem;
    display: block;
    background-image: url(assets/Vision_2030_logo-01.svg);
    background-repeat: no-repeat;
    background-position: center;
    
}

.copy__right{
    align-items: center;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 0;
    
    
    
}


.copy__right h1{
    font-size: 1rem;
    color: var(--charcolColor);
    font-weight: 600;
}









